<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="StuReview.aspx.cs" Inherits="RM.Web.Training.Review.StuReview" %>

<%@ Register Src="~/UserControl/PageControl.ascx" TagName="PageControl" TagPrefix="uc1" %>
<%@ Register Src="~/UserControl/LoadButton.ascx" TagName="LoadButton" TagPrefix="uc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("StuReview")%></title>
   <link href="/Themes/Styles/Site.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/jquery-1.8.2.min.js" type="text/javascript"></script>
    <link href="../../Themes/Scripts/artDialog/skins/opera.css" rel="stylesheet" type="text/css" />
    <script src="../../Themes/Scripts/artDialog/artDialog.js" type="text/javascript"></script>
    <script src="../../Themes/Scripts/artDialog/iframeTools.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/FunctionJS.js" type="text/javascript"></script>
</head>
<body>
    <form id="form1" runat="server">
    <div class="btnbartitle" >
        <div>
           <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("StuReviewWorkList")%>
        </div>
    </div>
    <div class="btnbarcontetn">
        <div style="text-align: right">
            <uc2:LoadButton ID="LoadButton1" runat="server" />            
        </div>
    </div>
    <div class="div-body">
        <%=strhtml.ToString() %>
        
    </div>
    <uc1:PageControl ID="PageControl1" runat="server" />
    </form>
<script type="text/javascript">
    var Mywindows = "";
    $(function () {
        //把分页定位到屏幕下面
        divresize(90);
        FixedTableHeader("#table1", $(window).height() - 121);
    });
    //评阅
    function pingyue() {
        var arrt = new Array();
        arrt = CheckboxValue().split('|');
        var key = arrt[0];
        if (IsEditdata(CheckboxValue())) {
            top.openDialog('/Training/Review/TKS_Review_UE_Form.aspx?id=' + arrt[0] + "&tid=" + arrt[1], 'Menu_Form', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("StuReview")%>', '90%', '90%', 50, 50);
        }
    }
    //编辑
    function edit() {
        var cid = "";
        $('[type = checkbox]').each(function () {
            if ($(this).attr("checked")) {
                var cids = new Array();
                cid = $(this).parent().parent().find("td:eq(2) a").attr("onclick");
                cids = cid.split('&cid=');
                cids = cids[1].split('&');
                cid = cids[0];
                //alert(cid);
            }
        });
        var arrt = new Array();
        arrt = CheckboxValue().split('|');
        var key = arrt[0];
        if (IsEditdata(CheckboxValue())) {
            //alert(CheckboxValue());
            var url = "/Training/Review/StuReview_UpForm.aspx?id=" + arrt[0] + "&key=" + arrt[1] + "&cid=" + cid + "&u=" + arrt[3];
            top.openDialog(url, 'Menu_Form', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("StuReview")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Edit")%>', '90%', '90%', 50, 50);
        }
    }

    //删除
    function Delete() {
        var key = CheckboxValue();
        if (IsDelData(key)) {
            var delparm = 'action=Virtualdelete&module=<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("StuReview")%>&tableName=TKS_Review_Upload&pkName=TKS_Review_UploadID&pkVal=' + key;
            delConfig('/Ajax/Common_Ajax.ashx', delparm)
        }
    }
    //审核
    function audit() {
        var key = CheckboxValue();
        if (IsDelData(key)) {
            getAjax("StuReview_Add.ashx", "action=sh&key=" + key, function (rs) {
                if (rs > 0) {
                    showTipsMsg("操作成功", 2000, 4);
                    windowload();
                } else {
                    showTipsMsg("操作失败！", 3000, 3);
                }
            });
        }
    }
    //进入决赛
    function inFinals() {
        var arrt = new Array();
        arrt = CheckboxValue().split('|');
        var key = arrt[0];
        if (IsEditdata(CheckboxValue())) {
            var parm = 'action=jrjs&pkey=' + key;            
            showConfirmMsg("确定此作品进入决赛？", function (r) {
                if (r) {
                    getAjax("/Training/Review/StuReview.aspx", parm, function (rs) {
                        if (parseInt(rs) > 0) {
                            showTipsMsg("操作成功！", 2000, 4);
                            windowload();
                        } else if (parseInt(rs) == 0) {
                            showTipsMsg("操作失败！", 3000, 3);
                        }
                        else {
                            showTipsMsg("<span style='color:red'>操作失败，请稍后重试！</span>", 4000, 5);
                        }
                    });
                }
            });
        }
    }
</script>
</body>
</html>
